Bug 731930 - ssh-copy-id should copy by default id_rsa.pub not identity.pub
Summary: ssh-copy-id should copy by default id_rsa.pub not identity.pub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openssh
Version: 5.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Radek Vokál
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 06:20 UTC by Miroslav Vadkerti
Modified: 2012-02-21 06:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 06:12:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0237 normal SHIPPED_LIVE openssh bug fix and enhancement update 2012-02-20 15:07:34 UTC

Description Miroslav Vadkerti 2011-08-19 06:20:19 UTC
Description of problem:
# ssh-keygen (use defaults)
# ls .ssh
id_rsa  id_rsa.pub
# useradd user
# echo user | passwd --stdin user 
# ssh-copy-id user@localhost
/usr/bin/ssh-copy-id: ERROR: No identities found

snip from ssh-copy-id:
ID_FILE="${HOME}/.ssh/identity.pub"

should be
ID_FILE="${HOME}/.ssh/id_rsa.pub"

If the ssh-keygen command creates by default id_rsa the ssh-copy-id should id_rsa.pub use as default too.

Version-Release number of selected component (if applicable):
openssh-4.3p2-72.el5_7.5

How reproducible:
100%

Steps to Reproduce:
1. see description
  
Actual results:
/usr/bin/ssh-copy-id: ERROR: No identities found

Expected results:
No error and ssh-copy-id copies id_rsa.pub successfully

Additional info:
This is not a regression

Comment 5 errata-xmlrpc 2012-02-21 06:12:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0237.html


Note You need to log in before you can comment on or make changes to this bug.